{
  "type": "minecraft:fishing",
  "pools": [
    {
      "rolls": 1.2,
      "bonus_rolls": 0.1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 50,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{crucian:1,fishing:1,price:12}",
                "minecraft:custom_model_data": 1001,
                "minecraft:item_name": "{\"translate\":\"fisherman.crucian\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "12"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{goldfish:1,fishing:1,price:30}",
                "minecraft:custom_model_data": 1002,
                "minecraft:item_name": "{\"translate\":\"fisherman.goldfish\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "30"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 1,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{blobfish:1,fishing:1,price:60}",
                "minecraft:custom_model_data": 1003,
                "minecraft:item_name": "{\"translate\":\"fisherman.blobfish\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "60"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 30,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{orysia:1,fishing:1,price:15}",
                "minecraft:custom_model_data": 1004,
                "minecraft:item_name": "{\"translate\":\"fisherman.orysia\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "15"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 1,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{bluedragonguppy:1,fishing:1,price:80}",
                "minecraft:custom_model_data": 1005,
                "minecraft:item_name": "{\"translate\":\"fisherman.bluedragonguppy\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "80"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 20,
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:custom_data": "{catfish:1,fishing:1,price:20}",
                "minecraft:custom_model_data": 1006,
                "minecraft:item_name": "{\"translate\":\"fisherman.catfish\"}"
              }
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "20"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:cod",
          "weight": 60,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{fishing:1,price:10}"
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "10"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:salmon",
          "weight": 25,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{fishing:1,price:17}"
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "17"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:tropical_fish",
          "weight": 2,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{fishing:1,price:50}"
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "50"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:pufferfish",
          "weight": 13,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{fishing:1,price:25}"
            },
            {
              "function": "minecraft:set_lore",
              "lore": [
                [
                  {
                    "translate": "fisherman.caught"
                  },
                  {
                    "translate": "fisherman.price"
                  },
                  {
                    "text": "25"
                  }
                ]
              ],
              "mode": "replace_all"
            }
          ]
        }
      ]
    }
  ],
  "random_sequence": "minecraft:gameplay/fishing/fish"
}
